id, sda, scl = 0, 1, 2
-- print(i2c.setup(id, sda, scl, i2c.SLOW))
i2c.setup(id, sda, scl, i2c.SLOW)
-- i2c.start(id)
-- sla = 0x3c
sla = 60
disp = u8g2.ssd1306_i2c_128x64_noname(id, sla)
disp:setFont(u8g2.font_6x10_tf)
disp:setFontRefHeightExtendedText()
disp:setDrawColor(1)
disp:setFontPosTop()
-- disp:setFontDirection(0)

disp:clearBuffer()

-- disp:drawStr( 0, 0, "drawBox")
-- disp:drawBox(5,10,20,10)
-- disp:drawBox(10,15,30,7)
disp:drawStr( 0, 56, "drawFrame")
disp:drawStr( 0, 56, 1111)
-- disp:drawFrame(5,10+30,20,10)
-- disp:drawFrame(10,15+30,30,7)

disp:sendBuffer()

-- disp:drawStr( 0, 0, "drawDisc")
-- disp:drawDisc(10,18,9)
-- disp:drawDisc(24,16,7)
-- disp:drawStr( 0, 30, "drawCircle")
-- disp:drawCircle(10,18+30,9)
-- disp:drawCircle(24,16+30,7)

-- disp:drawLine(20, 5, 5, 32)
-- disp:sendBuffer()
-- disp:drawStr( 0, 0, "drawLine")
-- disp:setFontDirection(0)
-- disp:drawStr(30,31, " 0")
disp:setFontDirection(0)
disp:drawStr(30,31, " 0")
disp:setFontDirection(1)
disp:drawStr(30,31, " 90")
disp:setFontDirection(2)
disp:drawStr(30,31, " 180")
disp:setFontDirection(3)
disp:drawStr(30,31, " 270")
disp:sendBuffer()
-- disp:drawStr(0, 0, "amor mio")
-- i2c.setup(0,1,2,i2c.SLOW)
-- u8g2.ssd1306_i2c_128x64_noname(0,0x3c)
